package com.icomsys.main_vm.biz.rcp.monitoring.service;

import com.icomsys.main_vm.db.mybatis.alias.MonitoringOutscenarioVO;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

@Service
public interface MonitoringOutscenarioService {
    List<HashMap> selectOutscenarioList(MonitoringOutscenarioVO vo);
    int selectOutscenarioListCnt(MonitoringOutscenarioVO vo);
    List<HashMap> selectScenarioNameList(MonitoringOutscenarioVO vo);
    List<String> selectTokenListByScenario(MonitoringOutscenarioVO vo);
    List<HashMap> selectCallListByScenario(MonitoringOutscenarioVO vo);
}
